package cn.com.qmth.print.manage.enums;

import cn.com.qmth.print.manage.dto.EnumDto;

import java.util.ArrayList;
import java.util.List;

/**
 * 
 * @Description: 校验状态
 * @author ting.yin
 * @date 2021年11月15日
 */
public enum RecordStatus {

    NONE("未校验", 1L),

    NORMAL("正常", 2L),

    ERROR("异常", 3L);

    private String name;

    private Long id;

    RecordStatus(String name) {
        this.name = name;
    }

    private RecordStatus(String name, Long id) {
        this.name = name;
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public static RecordStatus getByName(String name) {
        for (RecordStatus r : RecordStatus.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

    /**
     * @return
     */
    public static List<EnumDto> listRecordStatus() {
        List<EnumDto> list = new ArrayList<>();
        for (RecordStatus value : RecordStatus.values()) {
            EnumDto dto = new EnumDto();
            dto.setId(value.getId());
            dto.setCode(value.name());
            dto.setName(value.getName());
            dto.setOrdinal(value.ordinal());
            list.add(dto);
        }
        return list;
    }

}
